const strains = {
  'sativa': [
    'Sour Diesel', 'Green Crack', 'Jack Herer', 'Durban Poison',
    'Lemon Haze', 'Strawberry Cough', 'Super Silver Haze',
    'Alaskan Thunder Fuck', 'Super Lemon Haze', 'Amnesia Haze',
    'Maui Wowie', 'Chocolope', 'Harlequin'
  ],
  'indica': [
    'Granddaddy Purple', 'Bubba Kush', 'Northern Lights',
    'Blue Cheese', 'Purple Kush', 'Blueberry', 'Grape Ape',
    'Blackberry Kush', 'Master Kush', 'God\'s Gift',
    'LA Confidential', 'Death Star', 'Purple Urkle',
    'Afghan Kush', 'Skywalker', 'White Rhino', 'Hindu Kush'
  ],
  'hybrid': [
    'Blue Dream', 'Girl Scout Cookies', 'OG Kush', 'White Widow',
    'Gorilla Glue #4', 'Pineapple Express', 'Trainwreck',
    'AK-47', 'Headband', 'Chemdawg', 'Cheese', 'Cherry Pie',
    'Skywalker OG', 'Tahoe OG Kush', 'Lemon Kush',
    'Platinum Girl Scout Cookies', 'Golden Goat', 'Agent Orange'
  ]
};
const actions = {
  'joint': [
    ['passes', 'to'],
    ['rolls', 'for'],
    ['lights', 'for']
  ],
  'bong': [
    ['passes', 'to'],
    ['preps', 'for'],
    ['lights', 'for']
  ],
  'vape': [
    ['passes', 'to']
  ],
  'blunt': [
    ['passes', 'to'],
    ['rolls', 'for'],
    ['lights', 'for']
  ]
};
const strain_types = Object.keys(strains);
const action_types = Object.keys(actions);

module.exports = bot => {
  bot._trigger.set("dope", {
    call: /^(.|\/)dope/i,
    level: 0,
    active: true,
    clients: ["irc", "tg"],
    f: e => {
      let args = e.message.trim().split(" ");
      args.shift();
      args[0] = (args[0] == String.empty || typeof args[0] === "undefined" || args[0] == "") ? e.user.nick : args[0];

      const strain_type = strain_types[~~(Math.random() * strain_types.length)]
        , consume_type = action_types[~~(Math.random() * action_types.length)]
        , action = actions[consume_type][~~(Math.random() * actions[consume_type].length)]
        , strain = strains[strain_type][~~(Math.random() * strains[strain_type].length)];

      e.replyAction(`${action[0]} a ${consume_type} of the finest ${strain_type} "${strain}" ${action[1]} ${args[0]}`);
    }
  });

  bot._trigger.set("meth", {
    call: /^(.|\/)meth/i,
    level: 0,
    active: true,
    clients: ["irc", "tg"],
    f: e => {
      let args = e.message.trim().split(" ");
      args.shift();
      args[0] = (args[0] == String.empty || typeof args[0] === "undefined" || args[0] == "") ? e.user.nick : args[0];

      e.replyAction(`legt ${args[0]} eine dicke Line Meth \\________`);
    }
  });
};